!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1041)
  integer, parameter :: nGC_3139 = 1
  integer, parameter :: nGC_3138 = 2
  integer, parameter :: nGC_3132 = 3
  integer, parameter :: nGC_3137 = 4
  integer, parameter :: nGC_3136 = 5
  integer, parameter :: nGC_3047 = 6
  integer, parameter :: nGC_3046 = 7
  integer, parameter :: nGC_3044 = 8
  integer, parameter :: nGC_3049 = 9
  integer, parameter :: nGC_3048 = 10
  integer, parameter :: nGC_MZ_GF = 11
  integer, parameter :: nGC_3135 = 12
  integer, parameter :: nGC_3182 = 13
  integer, parameter :: nGC_28 = 14
  integer, parameter :: nGC_29 = 15
  integer, parameter :: nGC_3183 = 16
  integer, parameter :: nGC_22 = 17
  integer, parameter :: nGC_23 = 18
  integer, parameter :: nGC_20 = 19
  integer, parameter :: nGC_21 = 20
  integer, parameter :: nGC_26 = 21
  integer, parameter :: nGC_27 = 22
  integer, parameter :: nGC_24 = 23
  integer, parameter :: nGC_25 = 24
  integer, parameter :: nGC_3186 = 25
  integer, parameter :: nGC_3134 = 26
  integer, parameter :: nGC_GG = 27
  integer, parameter :: nGC_3112 = 28
  integer, parameter :: nGC_ME = 29
  integer, parameter :: nGC_3504 = 30
  integer, parameter :: nGC_3500 = 31
  integer, parameter :: nGC_3501 = 32
  integer, parameter :: nGC_3462 = 33
  integer, parameter :: nGC_MMW_GF = 34
  integer, parameter :: nGC_3166 = 35
  integer, parameter :: nGC_3187 = 36
  integer, parameter :: nGC_3184 = 37
  integer, parameter :: nGC_3185 = 38
  integer, parameter :: nGC_3163 = 39
  integer, parameter :: nGC_3164 = 40
  integer, parameter :: nGC_3165 = 41
  integer, parameter :: nGC_3160 = 42
  integer, parameter :: nGC_3161 = 43
  integer, parameter :: nGC_3162 = 44
  integer, parameter :: nGC_I = 45
  integer, parameter :: nGC_3168 = 46
  integer, parameter :: nGC_234 = 47
  integer, parameter :: nGC_3075 = 48
  integer, parameter :: nGC_3169 = 49
  integer, parameter :: nGC_5279 = 50
  integer, parameter :: nGC_3487 = 51
  integer, parameter :: nGC_5 = 52
  integer, parameter :: nGC_4 = 53
  integer, parameter :: nGC_9 = 54
  integer, parameter :: nGC_8 = 55
  integer, parameter :: nGC_3450 = 56
  integer, parameter :: nGC_3100 = 57
  integer, parameter :: nGC_53 = 58
  integer, parameter :: nGC_52 = 59
  integer, parameter :: nGC_51 = 60
  integer, parameter :: nGC_50 = 61
  integer, parameter :: nGC_57 = 62
  integer, parameter :: nGC_56 = 63
  integer, parameter :: nGC_55 = 64
  integer, parameter :: nGC_54 = 65
  integer, parameter :: nGC_59 = 66
  integer, parameter :: nGC_58 = 67
  integer, parameter :: nGC_3131 = 68
  integer, parameter :: nGC_3455 = 69
  integer, parameter :: nGC_3071 = 70
  integer, parameter :: nGC_3130 = 71
  integer, parameter :: nGC_MC = 72
  integer, parameter :: nGC_MZ = 73
  integer, parameter :: nGC_3129 = 74
  integer, parameter :: nGC_MW = 75
  integer, parameter :: nGC_MU = 76
  integer, parameter :: nGC_MT = 77
  integer, parameter :: nGC_396 = 78
  integer, parameter :: nGC_3054 = 79
  integer, parameter :: nGC_3055 = 80
  integer, parameter :: nGC_3056 = 81
  integer, parameter :: nGC_3057 = 82
  integer, parameter :: nGC_3050 = 83
  integer, parameter :: nGC_3051 = 84
  integer, parameter :: nGC_3052 = 85
  integer, parameter :: nGC_170 = 86
  integer, parameter :: nGC_3058 = 87
  integer, parameter :: nGC_3059 = 88
  integer, parameter :: nGC_5177 = 89
  integer, parameter :: nGC_3180 = 90
  integer, parameter :: nGC_17 = 91
  integer, parameter :: nGC_16 = 92
  integer, parameter :: nGC_15 = 93
  integer, parameter :: nGC_14 = 94
  integer, parameter :: nGC_13 = 95
  integer, parameter :: nGC_12 = 96
  integer, parameter :: nGC_11 = 97
  integer, parameter :: nGC_10 = 98
  integer, parameter :: nGC_19 = 99
  integer, parameter :: nGC_18 = 100
  integer, parameter :: nGC_3 = 101
  integer, parameter :: nGC_5720 = 102
  integer, parameter :: nGC_2 = 103
  integer, parameter :: nGC_1174 = 104
  integer, parameter :: nGC_1 = 105
  integer, parameter :: nGC_1172 = 106
  integer, parameter :: nGC_7 = 107
  integer, parameter :: nGC_6 = 108
  integer, parameter :: nGC_3045 = 109
  integer, parameter :: nGC_5345 = 110
  integer, parameter :: nGC_4943 = 111
  integer, parameter :: nGC_3573 = 112
  integer, parameter :: nGC_3572 = 113
  integer, parameter :: nGC_3576 = 114
  integer, parameter :: nGC_3575 = 115
  integer, parameter :: nGC_3574 = 116
  integer, parameter :: nGC_3472 = 117
  integer, parameter :: nGC_5341 = 118
  integer, parameter :: nGC_3272 = 119
  integer, parameter :: nGC_63 = 120
  integer, parameter :: nGC_3151 = 121
  integer, parameter :: nGC_3150 = 122
  integer, parameter :: nGC_3153 = 123
  integer, parameter :: nGC_3152 = 124
  integer, parameter :: nGC_3155 = 125
  integer, parameter :: nGC_3154 = 126
  integer, parameter :: nGC_7921 = 127
  integer, parameter :: nGC_3401 = 128
  integer, parameter :: nGC_3400 = 129
  integer, parameter :: nGC_5020 = 130
  integer, parameter :: nGC_7922 = 131
  integer, parameter :: nGC_HHHH = 132
  integer, parameter :: nGC_3083 = 133
  integer, parameter :: nGC_3081 = 134
  integer, parameter :: nGC_3080 = 135
  integer, parameter :: nGC_3087 = 136
  integer, parameter :: nGC_3085 = 137
  integer, parameter :: nGC_3084 = 138
  integer, parameter :: nGC_3089 = 139
  integer, parameter :: nGC_3078 = 140
  integer, parameter :: nGC_3170 = 141
  integer, parameter :: nGC_3076 = 142
  integer, parameter :: nGC_3494 = 143
  integer, parameter :: nGC_3495 = 144
  integer, parameter :: nGC_3496 = 145
  integer, parameter :: nGC_3497 = 146
  integer, parameter :: nGC_3491 = 147
  integer, parameter :: nGC_3492 = 148
  integer, parameter :: nGC_3493 = 149
  integer, parameter :: nGC_MS = 150
  integer, parameter :: nGC_3498 = 151
  integer, parameter :: nGC_3499 = 152
  integer, parameter :: nGC_3070 = 153
  integer, parameter :: nGC_8439 = 154
  integer, parameter :: nGC_354 = 155
  integer, parameter :: nGC_4911 = 156
  integer, parameter :: nGC_MB = 157
  integer, parameter :: nGC_48 = 158
  integer, parameter :: nGC_49 = 159
  integer, parameter :: nGC_44 = 160
  integer, parameter :: nGC_45 = 161
  integer, parameter :: nGC_46 = 162
  integer, parameter :: nGC_47 = 163
  integer, parameter :: nGC_40 = 164
  integer, parameter :: nGC_41 = 165
  integer, parameter :: nGC_42 = 166
  integer, parameter :: nGC_43 = 167
  integer, parameter :: nGC_5427 = 168
  integer, parameter :: nGC_5513 = 169
  integer, parameter :: nGC_5426 = 170
  integer, parameter :: nGC_5096 = 171
  integer, parameter :: nGC_3201 = 172
  integer, parameter :: nGC_3203 = 173
  integer, parameter :: nGC_3202 = 174
  integer, parameter :: nGC_6969 = 175
  integer, parameter :: nGC_6968 = 176
  integer, parameter :: nGC_3416 = 177
  integer, parameter :: nGC_3417 = 178
  integer, parameter :: nGC_3411 = 179
  integer, parameter :: nGC_4910 = 180
  integer, parameter :: nGC_5589 = 181
  integer, parameter :: nGC_3332 = 182
  integer, parameter :: nGC_3115 = 183
  integer, parameter :: nGC_3114 = 184
  integer, parameter :: nGC_3116 = 185
  integer, parameter :: nGC_3111 = 186
  integer, parameter :: nGC_3110 = 187
  integer, parameter :: nGC_3113 = 188
  integer, parameter :: nGC_3444 = 189
  integer, parameter :: nGC_3119 = 190
  integer, parameter :: nGC_3118 = 191
  integer, parameter :: nGC_3528 = 192
  integer, parameter :: nGC_3529 = 193
  integer, parameter :: nGC_3299 = 194
  integer, parameter :: nGC_3525 = 195
  integer, parameter :: nGC_3526 = 196
  integer, parameter :: nGC_5069 = 197
  integer, parameter :: nGC_5143 = 198
  integer, parameter :: nGC_5067 = 199
  integer, parameter :: nGC_5736 = 200
  integer, parameter :: nGC_5735 = 201
  integer, parameter :: nGC_5734 = 202
  integer, parameter :: nGC_5733 = 203
  integer, parameter :: nGC_GPGMGPGM = 204
  integer, parameter :: nGC_5632 = 205
  integer, parameter :: nGC_210 = 206
  integer, parameter :: nGC_3571 = 207
  integer, parameter :: nGC_918 = 208
  integer, parameter :: nGC_3061 = 209
  integer, parameter :: nGC_3063 = 210
  integer, parameter :: nGC_3062 = 211
  integer, parameter :: nGC_3069 = 212
  integer, parameter :: nGC_3157 = 213
  integer, parameter :: nGC_3527 = 214
  integer, parameter :: nGC_314 = 215
  integer, parameter :: nGC_3133 = 216
  integer, parameter :: nGC_3470 = 217
  integer, parameter :: nGC_1460 = 218
  integer, parameter :: nGC_152 = 219
  integer, parameter :: nGC_8599 = 220
  integer, parameter :: nGC_5499 = 221
  integer, parameter :: nGC_5497 = 222
  integer, parameter :: nGC_5394 = 223
  integer, parameter :: nGC_5250 = 224
  integer, parameter :: nGC_1168 = 225
  integer, parameter :: nGC_3513 = 226
  integer, parameter :: nGC_MW_GF = 227
  integer, parameter :: nGC_75 = 228
  integer, parameter :: nGC_74 = 229
  integer, parameter :: nGC_77 = 230
  integer, parameter :: nGC_76 = 231
  integer, parameter :: nGC_71 = 232
  integer, parameter :: nGC_70 = 233
  integer, parameter :: nGC_73 = 234
  integer, parameter :: nGC_72 = 235
  integer, parameter :: nGC_79 = 236
  integer, parameter :: nGC_78 = 237
  integer, parameter :: nGC_HHGG = 238
  integer, parameter :: nGC_9638 = 239
  integer, parameter :: nGC_4811 = 240
  integer, parameter :: nGC_8601 = 241
  integer, parameter :: nGC_3227 = 242
  integer, parameter :: nGC_3560 = 243
  integer, parameter :: nGC_3562 = 244
  integer, parameter :: nGC_3563 = 245
  integer, parameter :: nGC_3564 = 246
  integer, parameter :: nGC_3565 = 247
  integer, parameter :: nGC_3566 = 248
  integer, parameter :: nGC_3567 = 249
  integer, parameter :: nGC_3568 = 250
  integer, parameter :: nGC_3569 = 251
  integer, parameter :: nGC_3547 = 252
  integer, parameter :: nGC_3159 = 253
  integer, parameter :: nGC_3392 = 254
  integer, parameter :: nGC_3395 = 255
  integer, parameter :: nGC_5108 = 256
  integer, parameter :: nGC_5673 = 257
  integer, parameter :: nGC_5104 = 258
  integer, parameter :: nGC_5105 = 259
  integer, parameter :: nGC_5107 = 260
  integer, parameter :: nGC_3248 = 261
  integer, parameter :: nGC_3245 = 262
  integer, parameter :: nGC_3570 = 263
  integer, parameter :: nGC_3053 = 264
  integer, parameter :: nGC_954 = 265
  integer, parameter :: nGC_3418 = 266
  integer, parameter :: nGC_3148 = 267
  integer, parameter :: nGC_3149 = 268
  integer, parameter :: nGC_3146 = 269
  integer, parameter :: nGC_3147 = 270
  integer, parameter :: nGC_3144 = 271
  integer, parameter :: nGC_3145 = 272
  integer, parameter :: nGC_3142 = 273
  integer, parameter :: nGC_3143 = 274
  integer, parameter :: nGC_3140 = 275
  integer, parameter :: nGC_3141 = 276
  integer, parameter :: nGC_218 = 277
  integer, parameter :: nGC_5477 = 278
  integer, parameter :: nGC_3090 = 279
  integer, parameter :: nGC_3091 = 280
  integer, parameter :: nGC_3092 = 281
  integer, parameter :: nGC_3093 = 282
  integer, parameter :: nGC_3094 = 283
  integer, parameter :: nGC_3095 = 284
  integer, parameter :: nGC_3096 = 285
  integer, parameter :: nGC_3097 = 286
  integer, parameter :: nGC_3098 = 287
  integer, parameter :: nGC_3099 = 288
  integer, parameter :: nGC_3125 = 289
  integer, parameter :: nGC_8495 = 290
  integer, parameter :: nGC_3222 = 291
  integer, parameter :: nGC_82 = 292
  integer, parameter :: nGC_83 = 293
  integer, parameter :: nGC_3060 = 294
  integer, parameter :: nGC_434 = 295
  integer, parameter :: nGC_3065 = 296
  integer, parameter :: nGC_87 = 297
  integer, parameter :: nGC_3064 = 298
  integer, parameter :: nGC_3067 = 299
  integer, parameter :: nGC_3220 = 300
  integer, parameter :: nGC_3066 = 301
  integer, parameter :: nGC_39 = 302
  integer, parameter :: nGC_38 = 303
  integer, parameter :: nGC_3068 = 304
  integer, parameter :: nGC_31 = 305
  integer, parameter :: nGC_30 = 306
  integer, parameter :: nGC_33 = 307
  integer, parameter :: nGC_32 = 308
  integer, parameter :: nGC_35 = 309
  integer, parameter :: nGC_34 = 310
  integer, parameter :: nGC_37 = 311
  integer, parameter :: nGC_36 = 312
  integer, parameter :: nGC_144 = 313
  integer, parameter :: nGC_3415 = 314
  integer, parameter :: nGC_4853 = 315
  integer, parameter :: nGC_148 = 316
  integer, parameter :: nGC_3104 = 317
  integer, parameter :: nGC_5815 = 318
  integer, parameter :: nGC_5813 = 319
  integer, parameter :: nGC_3358 = 320
  integer, parameter :: nGC_3356 = 321
  integer, parameter :: nGC_3355 = 322
  integer, parameter :: nGC_3354 = 323
  integer, parameter :: nGC_3352 = 324
  integer, parameter :: nGC_3351 = 325
  integer, parameter :: nGC_3350 = 326
  integer, parameter :: nGC_6026 = 327
  integer, parameter :: nGC_6027 = 328
  integer, parameter :: nGC_6970 = 329
  integer, parameter :: nGC_6971 = 330
  integer, parameter :: nGC_GGH = 331
  integer, parameter :: nGC_5438 = 332
  integer, parameter :: nGC_4959 = 333
  integer, parameter :: nGC_3329 = 334
  integer, parameter :: nGC_3410 = 335
  integer, parameter :: nGC_3102 = 336
  integer, parameter :: nGC_3103 = 337
  integer, parameter :: nGC_MI = 338
  integer, parameter :: nGC_MH = 339
  integer, parameter :: nGC_3106 = 340
  integer, parameter :: nGC_3107 = 341
  integer, parameter :: nGC_MM = 342
  integer, parameter :: nGC_3105 = 343
  integer, parameter :: nGC_3458 = 344
  integer, parameter :: nGC_3459 = 345
  integer, parameter :: nGC_3108 = 346
  integer, parameter :: nGC_3156 = 347
  integer, parameter :: nGC_4929 = 348
  integer, parameter :: nGC_MD = 349
  integer, parameter :: nGC_3519 = 350
  integer, parameter :: nGC_3518 = 351
  integer, parameter :: nGC_3511 = 352
  integer, parameter :: nGC_3510 = 353
  integer, parameter :: nGC_3420 = 354
  integer, parameter :: nGC_3512 = 355
  integer, parameter :: nGC_3515 = 356
  integer, parameter :: nGC_3514 = 357
  integer, parameter :: nGC_3517 = 358
  integer, parameter :: nGC_3516 = 359
  integer, parameter :: nGC_7927 = 360
  integer, parameter :: nGC_6115 = 361
  integer, parameter :: nGC_3403 = 362
  integer, parameter :: nGC_3402 = 363
  integer, parameter :: nGC_3216 = 364
  integer, parameter :: nGC_548 = 365
  integer, parameter :: nGC_3214 = 366
  integer, parameter :: nGC_3215 = 367
  integer, parameter :: nGC_3212 = 368
  integer, parameter :: nGC_3210 = 369
  integer, parameter :: nGC_3211 = 370
  integer, parameter :: nGC_3194 = 371
  integer, parameter :: nGC_3412 = 372
  integer, parameter :: nGC_3191 = 373
  integer, parameter :: nGC_3218 = 374
  integer, parameter :: nGC_3219 = 375
  integer, parameter :: nGC_3109 = 376
  integer, parameter :: nGC_8600 = 377
  integer, parameter :: nGC_3177 = 378
  integer, parameter :: nGC_3176 = 379
  integer, parameter :: nGC_3175 = 380
  integer, parameter :: nGC_3174 = 381
  integer, parameter :: nGC_3173 = 382
  integer, parameter :: nGC_3172 = 383
  integer, parameter :: nGC_3171 = 384
  integer, parameter :: nGC_3079 = 385
  integer, parameter :: nGC_3413 = 386
  integer, parameter :: nGC_3077 = 387
  integer, parameter :: nGC_3074 = 388
  integer, parameter :: nGC_3072 = 389
  integer, parameter :: nGC_3073 = 390
  integer, parameter :: nGC_3179 = 391
  integer, parameter :: nGC_3178 = 392
  integer, parameter :: nGC_3128 = 393
  integer, parameter :: nGC_3353 = 394
  integer, parameter :: nGC_8442 = 395
  integer, parameter :: nGC_3167 = 396
  integer, parameter :: nGC_4930 = 397
  integer, parameter :: nGC_4931 = 398
  integer, parameter :: nGC_8440 = 399
  integer, parameter :: nGC_6200 = 400
  integer, parameter :: nGC_6201 = 401
  integer, parameter :: nGC_3540 = 402
  integer, parameter :: nGC_3287 = 403
  integer, parameter :: nGC_3507 = 404
  integer, parameter :: nGC_MTA = 405
  integer, parameter :: nGC_3538 = 406
  integer, parameter :: nGC_3158 = 407
  integer, parameter :: nGC_3120 = 408
  integer, parameter :: nGC_3121 = 409
  integer, parameter :: nGC_3117 = 410
  integer, parameter :: nGC_3502 = 411
  integer, parameter :: nGC_3122 = 412
  integer, parameter :: nGC_3503 = 413
  integer, parameter :: nGC_3541 = 414
  integer, parameter :: nGC_3123 = 415
  integer, parameter :: nGC_8688 = 416
  integer, parameter :: nGC_3082 = 417
  integer, parameter :: nGC_3124 = 418
  integer, parameter :: nGC_7083 = 419
  integer, parameter :: nGC_5267 = 420
  integer, parameter :: nGC_7080 = 421
  integer, parameter :: nGC_88 = 422
  integer, parameter :: nGC_3126 = 423
  integer, parameter :: nGC_80 = 424
  integer, parameter :: nGC_81 = 425
  integer, parameter :: nGC_3127 = 426
  integer, parameter :: nGC_84 = 427
  integer, parameter :: nGC_85 = 428
  integer, parameter :: nGC_86 = 429
  integer, parameter :: nGC_3086 = 430
  integer, parameter :: nGC_3546 = 431
  integer, parameter :: nGC_7082 = 432
  integer, parameter :: nGC_66 = 433
  integer, parameter :: nGC_67 = 434
  integer, parameter :: nGC_64 = 435
  integer, parameter :: nGC_65 = 436
  integer, parameter :: nGC_62 = 437
  integer, parameter :: nGC_3508 = 438
  integer, parameter :: nGC_60 = 439
  integer, parameter :: nGC_61 = 440
  integer, parameter :: nGC_3101 = 441
  integer, parameter :: nGC_3509 = 442
  integer, parameter :: nGC_68 = 443
  integer, parameter :: nGC_69 = 444
  integer, parameter :: nGC_3088 = 445
  integer, parameter :: nGC_4962 = 446
  integer, parameter :: nGC_3209 = 447
  integer, parameter :: nGC_3188 = 448
  integer, parameter :: nGC_4803 = 449
  integer, parameter :: nGC_HHH = 450
  integer, parameter :: nGC_3404 = 451
  integer, parameter :: nGC_3181 = 452
  integer, parameter :: nGC_112 = 453
  integer, parameter :: nGC_5291 = 454
  integer, parameter :: nGC_3558 = 455
  integer, parameter :: nGC_3229 = 456
  integer, parameter :: nGC_3228 = 457
  integer, parameter :: nGC_3555 = 458
  integer, parameter :: nGC_3554 = 459
  integer, parameter :: nGC_3557 = 460
  integer, parameter :: nGC_3224 = 461
  integer, parameter :: nGC_3551 = 462
  integer, parameter :: nGC_3550 = 463
  integer, parameter :: nGC_3221 = 464
  integer, parameter :: nGC_3552 = 465
  integer, parameter :: nGC_3388 = 466
  integer, parameter :: nGC_5131 = 467
  integer, parameter :: nGC_5130 = 468
  integer, parameter :: nGC_3380 = 469
  integer, parameter :: nGC_3382 = 470
  integer, parameter :: nGC_3383 = 471
  integer, parameter :: nGC_3384 = 472
  integer, parameter :: nGC_3385 = 473
  integer, parameter :: nGC_3386 = 474
  integer, parameter :: nGC_3387 = 475
  integer, parameter :: nGC_3313 = 476
  integer, parameter :: nGC_5440 = 477
  integer, parameter :: nGC_3258 = 478
  integer, parameter :: nGC_5442 = 479
  integer, parameter :: nGC_5444 = 480
  integer, parameter :: nGC_3252 = 481
  integer, parameter :: nGC_5448 = 482
  integer, parameter :: nGC_3319 = 483
  integer, parameter :: nGC_3256 = 484
  integer, parameter :: nGC_3225 = 485
  integer, parameter :: nGC_3254 = 486
  integer, parameter :: nGC_3255 = 487
  integer, parameter :: nGC_3556 = 488
  integer, parameter :: nGC_3223 = 489
  integer, parameter :: nGC_3262 = 490
  integer, parameter :: nGC_3429 = 491
  integer, parameter :: nGC_3428 = 492
  integer, parameter :: nGC_3553 = 493
  integer, parameter :: nGC_3421 = 494
  integer, parameter :: nGC_7076 = 495
  integer, parameter :: nGC_3423 = 496
  integer, parameter :: nGC_3422 = 497
  integer, parameter :: nGC_3425 = 498
  integer, parameter :: nGC_3424 = 499
  integer, parameter :: nGC_3427 = 500
  integer, parameter :: nGC_3426 = 501
  integer, parameter :: nGC_5000 = 502
  integer, parameter :: nGC_3389 = 503
  integer, parameter :: nGC_206 = 504
  integer, parameter :: nGC_6085 = 505
  integer, parameter :: nGC_6080 = 506
  integer, parameter :: nGC_6081 = 507
  integer, parameter :: nGC_6083 = 508
  integer, parameter :: nGC_6126 = 509
  integer, parameter :: nGC_5344 = 510
  integer, parameter :: nGC_5342 = 511
  integer, parameter :: nGC_3381 = 512
  integer, parameter :: nGC_6444 = 513
  integer, parameter :: nGC_6446 = 514
  integer, parameter :: nGC_6568 = 515
  integer, parameter :: nGC_6563 = 516
  integer, parameter :: nGC_6567 = 517
  integer, parameter :: nGC_6566 = 518
  integer, parameter :: nGC_6565 = 519
  integer, parameter :: nGC_6564 = 520
  integer, parameter :: nGC_3189 = 521
  integer, parameter :: nGC_3265 = 522
  integer, parameter :: nGC_556 = 523
  integer, parameter :: nGC_3348 = 524
  integer, parameter :: nGC_3349 = 525
  integer, parameter :: nGC_3344 = 526
  integer, parameter :: nGC_3345 = 527
  integer, parameter :: nGC_3346 = 528
  integer, parameter :: nGC_3347 = 529
  integer, parameter :: nGC_3340 = 530
  integer, parameter :: nGC_3341 = 531
  integer, parameter :: nGC_3342 = 532
  integer, parameter :: nGC_3343 = 533
  integer, parameter :: nGC_3311 = 534
  integer, parameter :: nGC_3316 = 535
  integer, parameter :: nGC_3506 = 536
  integer, parameter :: nGC_3259 = 537
  integer, parameter :: nGC_3505 = 538
  integer, parameter :: nGC_3469 = 539
  integer, parameter :: nGC_3468 = 540
  integer, parameter :: nGC_3465 = 541
  integer, parameter :: nGC_3464 = 542
  integer, parameter :: nGC_3467 = 543
  integer, parameter :: nGC_3466 = 544
  integer, parameter :: nGC_3461 = 545
  integer, parameter :: nGC_3460 = 546
  integer, parameter :: nGC_3463 = 547
  integer, parameter :: nGC_8437 = 548
  integer, parameter :: nGC_3253 = 549
  integer, parameter :: nGC_3545 = 550
  integer, parameter :: nGC_3250 = 551
  integer, parameter :: nGC_3251 = 552
  integer, parameter :: nGC_5166 = 553
  integer, parameter :: nGC_5164 = 554
  integer, parameter :: nGC_5165 = 555
  integer, parameter :: nGC_3257 = 556
  integer, parameter :: nGC_3263 = 557
  integer, parameter :: nGC_3261 = 558
  integer, parameter :: nGC_3260 = 559
  integer, parameter :: nGC_3267 = 560
  integer, parameter :: nGC_3266 = 561
  integer, parameter :: nGC_5717 = 562
  integer, parameter :: nGC_3264 = 563
  integer, parameter :: nGC_5719 = 564
  integer, parameter :: nGC_5718 = 565
  integer, parameter :: nGC_3269 = 566
  integer, parameter :: nGC_3268 = 567
  integer, parameter :: nGC_3312 = 568
  integer, parameter :: nGC_3310 = 569
  integer, parameter :: nGC_5430 = 570
  integer, parameter :: nGC_5272 = 571
  integer, parameter :: nGC_3323 = 572
  integer, parameter :: nGC_3486 = 573
  integer, parameter :: nGC_3485 = 574
  integer, parameter :: nGC_3484 = 575
  integer, parameter :: nGC_3483 = 576
  integer, parameter :: nGC_3482 = 577
  integer, parameter :: nGC_3481 = 578
  integer, parameter :: nGC_5378 = 579
  integer, parameter :: nGC_5377 = 580
  integer, parameter :: nGC_3489 = 581
  integer, parameter :: nGC_3488 = 582
  integer, parameter :: nGC_6905 = 583
  integer, parameter :: nGC_6907 = 584
  integer, parameter :: nGC_6906 = 585
  integer, parameter :: nGC_6901 = 586
  integer, parameter :: nGC_6903 = 587
  integer, parameter :: nGC_5889 = 588
  integer, parameter :: nGC_4976 = 589
  integer, parameter :: nGC_4975 = 590
  integer, parameter :: nGC_7023 = 591
  integer, parameter :: nGC_7025 = 592
  integer, parameter :: nGC_7024 = 593
  integer, parameter :: nGC_7026 = 594
  integer, parameter :: nGC_7029 = 595
  integer, parameter :: nGC_4872 = 596
  integer, parameter :: nGC_3548 = 597
  integer, parameter :: nGC_3549 = 598
  integer, parameter :: nGC_3238 = 599
  integer, parameter :: nGC_3239 = 600
  integer, parameter :: nGC_3234 = 601
  integer, parameter :: nGC_3235 = 602
  integer, parameter :: nGC_3236 = 603
  integer, parameter :: nGC_3237 = 604
  integer, parameter :: nGC_3230 = 605
  integer, parameter :: nGC_3231 = 606
  integer, parameter :: nGC_3232 = 607
  integer, parameter :: nGC_3233 = 608
  integer, parameter :: nGC_5088 = 609
  integer, parameter :: nGC_5127 = 610
  integer, parameter :: nGC_5125 = 611
  integer, parameter :: nGC_5083 = 612
  integer, parameter :: nGC_5129 = 613
  integer, parameter :: nGC_5693 = 614
  integer, parameter :: nGC_5597 = 615
  integer, parameter :: nGC_4906 = 616
  integer, parameter :: nGC_4905 = 617
  integer, parameter :: nGC_3303 = 618
  integer, parameter :: nGC_3304 = 619
  integer, parameter :: nGC_5590 = 620
  integer, parameter :: nGC_3308 = 621
  integer, parameter :: nGC_3309 = 622
  integer, parameter :: nGC_3436 = 623
  integer, parameter :: nGC_3437 = 624
  integer, parameter :: nGC_3434 = 625
  integer, parameter :: nGC_3435 = 626
  integer, parameter :: nGC_3432 = 627
  integer, parameter :: nGC_3433 = 628
  integer, parameter :: nGC_3430 = 629
  integer, parameter :: nGC_3431 = 630
  integer, parameter :: nGC_3438 = 631
  integer, parameter :: nGC_3439 = 632
  integer, parameter :: nGC_3281 = 633
  integer, parameter :: nGC_8685 = 634
  integer, parameter :: nGC_3283 = 635
  integer, parameter :: nGC_3282 = 636
  integer, parameter :: nGC_3285 = 637
  integer, parameter :: nGC_3284 = 638
  integer, parameter :: nGC_3539 = 639
  integer, parameter :: nGC_3286 = 640
  integer, parameter :: nGC_3537 = 641
  integer, parameter :: nGC_3536 = 642
  integer, parameter :: nGC_3535 = 643
  integer, parameter :: nGC_3534 = 644
  integer, parameter :: nGC_3533 = 645
  integer, parameter :: nGC_3532 = 646
  integer, parameter :: nGC_3531 = 647
  integer, parameter :: nGC_3530 = 648
  integer, parameter :: nGC_3456 = 649
  integer, parameter :: nGC_6116 = 650
  integer, parameter :: nGC_5292 = 651
  integer, parameter :: nGC_6473 = 652
  integer, parameter :: nGC_6472 = 653
  integer, parameter :: nGC_6477 = 654
  integer, parameter :: nGC_6570 = 655
  integer, parameter :: nGC_6478 = 656
  integer, parameter :: nGC_7030 = 657
  integer, parameter :: nGC_3300 = 658
  integer, parameter :: nGC_3208 = 659
  integer, parameter :: nGC_9690 = 660
  integer, parameter :: nGC_9363 = 661
  integer, parameter :: nGC_5249 = 662
  integer, parameter :: nGC_5245 = 663
  integer, parameter :: nGC_3394 = 664
  integer, parameter :: nGC_3198 = 665
  integer, parameter :: nGC_3379 = 666
  integer, parameter :: nGC_3378 = 667
  integer, parameter :: nGC_3371 = 668
  integer, parameter :: nGC_3370 = 669
  integer, parameter :: nGC_3373 = 670
  integer, parameter :: nGC_3372 = 671
  integer, parameter :: nGC_3375 = 672
  integer, parameter :: nGC_3374 = 673
  integer, parameter :: nGC_3377 = 674
  integer, parameter :: nGC_3376 = 675
  integer, parameter :: nGC_3207 = 676
  integer, parameter :: nGC_3206 = 677
  integer, parameter :: nGC_5799 = 678
  integer, parameter :: nGC_5798 = 679
  integer, parameter :: nGC_3480 = 680
  integer, parameter :: nGC_5797 = 681
  integer, parameter :: nGC_4824 = 682
  integer, parameter :: nGC_4825 = 683
  integer, parameter :: nGC_4820 = 684
  integer, parameter :: nGC_4821 = 685
  integer, parameter :: nGC_4829 = 686
  integer, parameter :: nGC_3478 = 687
  integer, parameter :: nGC_3479 = 688
  integer, parameter :: nGC_3577 = 689
  integer, parameter :: nGC_3473 = 690
  integer, parameter :: nGC_3579 = 691
  integer, parameter :: nGC_3578 = 692
  integer, parameter :: nGC_3476 = 693
  integer, parameter :: nGC_3477 = 694
  integer, parameter :: nGC_3474 = 695
  integer, parameter :: nGC_3475 = 696
  integer, parameter :: nGC_5054 = 697
  integer, parameter :: nGC_5055 = 698
  integer, parameter :: nGC_5112 = 699
  integer, parameter :: nGC_3364 = 700
  integer, parameter :: nGC_3270 = 701
  integer, parameter :: nGC_3271 = 702
  integer, parameter :: nGC_3273 = 703
  integer, parameter :: nGC_3274 = 704
  integer, parameter :: nGC_3275 = 705
  integer, parameter :: nGC_3276 = 706
  integer, parameter :: nGC_3277 = 707
  integer, parameter :: nGC_3278 = 708
  integer, parameter :: nGC_3362 = 709
  integer, parameter :: nGC_9579 = 710
  integer, parameter :: nGC_3361 = 711
  integer, parameter :: nGC_6569 = 712
  integer, parameter :: nGC_7928 = 713
  integer, parameter :: nGC_3409 = 714
  integer, parameter :: nGC_3408 = 715
  integer, parameter :: nGC_3407 = 716
  integer, parameter :: nGC_7925 = 717
  integer, parameter :: nGC_7926 = 718
  integer, parameter :: nGC_7920 = 719
  integer, parameter :: nGC_3301 = 720
  integer, parameter :: nGC_5021 = 721
  integer, parameter :: nGC_8443 = 722
  integer, parameter :: nGC_8441 = 723
  integer, parameter :: nGC_8444 = 724
  integer, parameter :: nGC_3240 = 725
  integer, parameter :: nGC_3368 = 726
  integer, parameter :: nGC_3369 = 727
  integer, parameter :: nGC_6032 = 728
  integer, parameter :: nGC_5800 = 729
  integer, parameter :: nGC_5806 = 730
  integer, parameter :: nGC_5207 = 731
  integer, parameter :: nGC_5206 = 732
  integer, parameter :: nGC_5209 = 733
  integer, parameter :: nGC_5208 = 734
  integer, parameter :: nGC_3490 = 735
  integer, parameter :: nGC_7147 = 736
  integer, parameter :: nGC_7148 = 737
  integer, parameter :: nGC_8438 = 738
  integer, parameter :: nGC_3330 = 739
  integer, parameter :: nGC_4860 = 740
  integer, parameter :: nGC_4861 = 741
  integer, parameter :: nGC_4862 = 742
  integer, parameter :: nGC_4863 = 743
  integer, parameter :: nGC_7032 = 744
  integer, parameter :: nGC_3200 = 745
  integer, parameter :: nGC_3205 = 746
  integer, parameter :: nGC_3204 = 747
  integer, parameter :: nGC_6030 = 748
  integer, parameter :: nGC_5748 = 749
  integer, parameter :: nGC_5749 = 750
  integer, parameter :: nGC_4826 = 751
  integer, parameter :: nGC_5429 = 752
  integer, parameter :: nGC_5428 = 753
  integer, parameter :: nGC_3339 = 754
  integer, parameter :: nGC_3338 = 755
  integer, parameter :: nGC_4912 = 756
  integer, parameter :: nGC_4913 = 757
  integer, parameter :: nGC_3335 = 758
  integer, parameter :: nGC_3334 = 759
  integer, parameter :: nGC_3337 = 760
  integer, parameter :: nGC_3336 = 761
  integer, parameter :: nGC_3331 = 762
  integer, parameter :: nGC_4919 = 763
  integer, parameter :: nGC_3333 = 764
  integer, parameter :: nGC_3443 = 765
  integer, parameter :: nGC_3442 = 766
  integer, parameter :: nGC_3441 = 767
  integer, parameter :: nGC_3440 = 768
  integer, parameter :: nGC_3447 = 769
  integer, parameter :: nGC_3446 = 770
  integer, parameter :: nGC_3445 = 771
  integer, parameter :: nGC_3449 = 772
  integer, parameter :: nGC_3448 = 773
  integer, parameter :: nGC_3298 = 774
  integer, parameter :: nGC_3524 = 775
  integer, parameter :: nGC_3297 = 776
  integer, parameter :: nGC_3294 = 777
  integer, parameter :: nGC_3295 = 778
  integer, parameter :: nGC_3292 = 779
  integer, parameter :: nGC_3521 = 780
  integer, parameter :: nGC_3290 = 781
  integer, parameter :: nGC_3523 = 782
  integer, parameter :: nGC_5068 = 783
  integer, parameter :: nGC_6101 = 784
  integer, parameter :: nGC_5141 = 785
  integer, parameter :: nGC_5142 = 786
  integer, parameter :: nGC_5066 = 787
  integer, parameter :: nGC_3243 = 788
  integer, parameter :: nGC_5635 = 789
  integer, parameter :: nGC_5633 = 790
  integer, parameter :: nGC_3296 = 791
  integer, parameter :: nGC_5324 = 792
  integer, parameter :: nGC_5325 = 793
  integer, parameter :: nGC_5326 = 794
  integer, parameter :: nGC_5329 = 795
  integer, parameter :: nGC_3520 = 796
  integer, parameter :: nGC_3293 = 797
  integer, parameter :: nGC_6213 = 798
  integer, parameter :: nGC_6214 = 799
  integer, parameter :: nGC_3291 = 800
  integer, parameter :: nGC_3471 = 801
  integer, parameter :: nGC_8598 = 802
  integer, parameter :: nGC_6100 = 803
  integer, parameter :: nGC_5395 = 804
  integer, parameter :: nGC_5397 = 805
  integer, parameter :: nGC_5396 = 806
  integer, parameter :: nGC_5391 = 807
  integer, parameter :: nGC_7078 = 808
  integer, parameter :: nGC_5252 = 809
  integer, parameter :: nGC_5253 = 810
  integer, parameter :: nGC_5843 = 811
  integer, parameter :: nGC_5193 = 812
  integer, parameter :: nGC_5195 = 813
  integer, parameter :: nGC_5194 = 814
  integer, parameter :: nGC_5478 = 815
  integer, parameter :: nGC_3542 = 816
  integer, parameter :: nGC_4815 = 817
  integer, parameter :: nGC_3543 = 818
  integer, parameter :: nGC_4955 = 819
  integer, parameter :: nGC_3399 = 820
  integer, parameter :: nGC_3398 = 821
  integer, parameter :: nGC_3226 = 822
  integer, parameter :: nGC_3544 = 823
  integer, parameter :: nGC_3393 = 824
  integer, parameter :: nGC_3391 = 825
  integer, parameter :: nGC_3390 = 826
  integer, parameter :: nGC_3397 = 827
  integer, parameter :: nGC_3396 = 828
  integer, parameter :: nGC_8689 = 829
  integer, parameter :: nGC_5109 = 830
  integer, parameter :: nGC_5123 = 831
  integer, parameter :: nGC_5106 = 832
  integer, parameter :: nGC_3366 = 833
  integer, parameter :: nGC_3367 = 834
  integer, parameter :: nGC_5779 = 835
  integer, parameter :: nGC_3365 = 836
  integer, parameter :: nGC_3249 = 837
  integer, parameter :: nGC_3363 = 838
  integer, parameter :: nGC_3360 = 839
  integer, parameter :: nGC_9640 = 840
  integer, parameter :: nGC_3244 = 841
  integer, parameter :: nGC_3247 = 842
  integer, parameter :: nGC_3246 = 843
  integer, parameter :: nGC_3241 = 844
  integer, parameter :: nGC_5775 = 845
  integer, parameter :: nGC_3242 = 846
  integer, parameter :: nGC_7031 = 847
  integer, parameter :: nGC_4864 = 848
  integer, parameter :: nGC_7919 = 849
  integer, parameter :: nGC_3419 = 850
  integer, parameter :: nGC_3414 = 851
  integer, parameter :: nGC_5036 = 852
  integer, parameter :: nGC_5037 = 853
  integer, parameter :: nGC_5038 = 854
  integer, parameter :: nGC_5039 = 855
  integer, parameter :: nGC_8498 = 856
  integer, parameter :: nGC_3279 = 857
  integer, parameter :: nGC_5218 = 858
  integer, parameter :: nGC_5219 = 859
  integer, parameter :: nGC_5358 = 860
  integer, parameter :: nGC_5353 = 861
  integer, parameter :: nGC_5355 = 862
  integer, parameter :: nGC_5356 = 863
  integer, parameter :: nGC_6637 = 864
  integer, parameter :: nGC_4907 = 865
  integer, parameter :: nGC_10087 = 866
  integer, parameter :: nGC_4994 = 867
  integer, parameter :: nGC_5500 = 868
  integer, parameter :: nGC_3302 = 869
  integer, parameter :: nGC_4993 = 870
  integer, parameter :: nGC_9066 = 871
  integer, parameter :: nGC_3305 = 872
  integer, parameter :: nGC_3522 = 873
  integer, parameter :: nGC_3306 = 874
  integer, parameter :: nGC_3359 = 875
  integer, parameter :: nGC_3357 = 876
  integer, parameter :: nGC_3307 = 877
  integer, parameter :: nGC_6029 = 878
  integer, parameter :: nGC_4920 = 879
  integer, parameter :: nGC_3328 = 880
  integer, parameter :: nGC_4925 = 881
  integer, parameter :: nGC_3322 = 882
  integer, parameter :: nGC_4928 = 883
  integer, parameter :: nGC_3320 = 884
  integer, parameter :: nGC_3321 = 885
  integer, parameter :: nGC_3326 = 886
  integer, parameter :: nGC_3327 = 887
  integer, parameter :: nGC_3324 = 888
  integer, parameter :: nGC_3325 = 889
  integer, parameter :: nGC_3451 = 890
  integer, parameter :: nGC_3452 = 891
  integer, parameter :: nGC_3453 = 892
  integer, parameter :: nGC_3454 = 893
  integer, parameter :: nGC_6899 = 894
  integer, parameter :: nGC_3457 = 895
  integer, parameter :: nGC_3406 = 896
  integer, parameter :: nGC_3405 = 897
  integer, parameter :: nGC_5171 = 898
  integer, parameter :: nGC_5172 = 899
  integer, parameter :: nGC_5175 = 900
  integer, parameter :: nGC_6117 = 901
  integer, parameter :: nGC_6114 = 902
  integer, parameter :: nGC_5176 = 903
  integer, parameter :: nGC_3217 = 904
  integer, parameter :: nGC_7087 = 905
  integer, parameter :: nGC_3199 = 906
  integer, parameter :: nGC_3213 = 907
  integer, parameter :: nGC_3195 = 908
  integer, parameter :: nGC_3197 = 909
  integer, parameter :: nGC_3196 = 910
  integer, parameter :: nGC_3190 = 911
  integer, parameter :: nGC_3193 = 912
  integer, parameter :: nGC_3192 = 913
  integer, parameter :: nGC_5479 = 914
  integer, parameter :: nGC_6365 = 915
  integer, parameter :: nGC_6366 = 916
  integer, parameter :: nGC_3280 = 917
  integer, parameter :: nGC_6368 = 918
  integer, parameter :: nGC_6204 = 919
  integer, parameter :: nGC_6202 = 920
  integer, parameter :: nGC_6203 = 921
  integer, parameter :: nGC_3289 = 922
  integer, parameter :: nGC_5543 = 923
  integer, parameter :: nGC_5544 = 924
  integer, parameter :: nGC_3288 = 925
  integer, parameter :: nGC_5269 = 926
  integer, parameter :: nGC_5380 = 927
  integer, parameter :: nGC_5381 = 928
  integer, parameter :: nGC_5387 = 929
  integer, parameter :: nGC_4891 = 930
  integer, parameter :: nGC_7086 = 931
  integer, parameter :: nGC_4893 = 932
  integer, parameter :: nGC_4892 = 933
  integer, parameter :: nGC_4894 = 934
  integer, parameter :: nGC_4897 = 935
  integer, parameter :: nGC_5266 = 936
  integer, parameter :: nGC_8516 = 937
  integer, parameter :: nGC_6934 = 938
  integer, parameter :: nGC_4960 = 939
  integer, parameter :: nGC_4963 = 940
  integer, parameter :: nGC_4968 = 941
  integer, parameter :: nGC_4807 = 942
  integer, parameter :: nGC_9335 = 943
  integer, parameter :: nGC_6909 = 944
  integer, parameter :: nGC_6908 = 945
  integer, parameter :: nGC_5807 = 946
  integer, parameter :: nGC_5134 = 947
  integer, parameter :: nGC_5132 = 948
  integer, parameter :: nGC_8223 = 949
  integer, parameter :: nGC_9242 = 950
  integer, parameter :: nGC_4977 = 951
  integer, parameter :: nGC_4978 = 952
  integer, parameter :: nGC_3317 = 953
  integer, parameter :: nGC_3315 = 954
  integer, parameter :: nGC_3314 = 955
  integer, parameter :: nGC_5935 = 956
  integer, parameter :: nGC_3318 = 957
  integer, parameter :: nGC_4876 = 958
  integer, parameter :: nGC_5359 = 959
  integer, parameter :: nGC_5757 = 960
  integer, parameter :: nGC_4987 = 961
  integer, parameter :: nGC_5758 = 962
  integer, parameter :: nGC_5694 = 963
  integer, parameter :: nGC_4901 = 964
  integer, parameter :: nGC_6127 = 965
  integer, parameter :: nGC_5296 = 966
  integer, parameter :: nGC_4867 = 967
  integer, parameter :: nGC_5097 = 968
  integer, parameter :: nGC_5098 = 969
  integer, parameter :: nGC_5099 = 970
  integer, parameter :: nGC_6443 = 971
  integer, parameter :: nGC_6033 = 972
  integer, parameter :: nGC_4914 = 973
  integer, parameter :: nGC_4915 = 974
  integer, parameter :: nGC_6128 = 975
  integer, parameter :: nGC_6334 = 976
  integer, parameter :: nGC_5144 = 977
  integer, parameter :: nGC_5145 = 978
  integer, parameter :: nGC_9279 = 979
  integer, parameter :: nGC_5634 = 980
  integer, parameter :: nGC_10319 = 981
  integer, parameter :: nGC_5481 = 982
  integer, parameter :: nGC_5480 = 983
  integer, parameter :: nGC_5173 = 984
  integer, parameter :: nGC_5576 = 985
  integer, parameter :: nGC_5402 = 986
  integer, parameter :: nGC_4834 = 987
  integer, parameter :: nGC_9610 = 988
  integer, parameter :: nGC_4934 = 989
  integer, parameter :: nGC_4935 = 990
  integer, parameter :: nGC_4839 = 991
  integer, parameter :: nGC_4843 = 992
  integer, parameter :: nGC_4936 = 993
  integer, parameter :: nGC_6367 = 994
  integer, parameter :: nGC_5280 = 995
  integer, parameter :: nGC_5167 = 996
  integer, parameter :: nGC_5710 = 997
  integer, parameter :: nGC_4949 = 998
  integer, parameter :: nGC_4948 = 999
  integer, parameter :: nGC_5654 = 1000
  integer, parameter :: nGC_5196 = 1001
  integer, parameter :: nGC_5936 = 1002
  integer, parameter :: nGC_5308 = 1003
  integer, parameter :: nGC_5309 = 1004
  integer, parameter :: nGC_7937 = 1005
  integer, parameter :: nGC_5300 = 1006
  integer, parameter :: nGC_4921 = 1007
  integer, parameter :: nGC_5118 = 1008
  integer, parameter :: nGC_9439 = 1009
  integer, parameter :: nGC_5113 = 1010
  integer, parameter :: nGC_5114 = 1011
  integer, parameter :: nGC_4950 = 1012
  integer, parameter :: nGC_4951 = 1013
  integer, parameter :: nGC_5268 = 1014
  integer, parameter :: nGC_4880 = 1015
  integer, parameter :: nGC_6321 = 1016
  integer, parameter :: nGC_6825 = 1017
  integer, parameter :: nGC_4961 = 1018
  integer, parameter :: nGC_5022 = 1019
  integer, parameter :: nGC_5379 = 1020
  integer, parameter :: nGC_6084 = 1021
  integer, parameter :: nGC_5776 = 1022
  integer, parameter :: nGC_6445 = 1023
  integer, parameter :: nGC_5724 = 1024
  integer, parameter :: nGC_7938 = 1025
  integer, parameter :: nGC_7941 = 1026
  integer, parameter :: nGC_4988 = 1027
  integer, parameter :: nGC_7942 = 1028
  integer, parameter :: nGC_5723 = 1029
  integer, parameter :: nGC_5737 = 1030
  integer, parameter :: nGC_4868 = 1031
  integer, parameter :: nGC_4835 = 1032
  integer, parameter :: nGC_6322 = 1033
  integer, parameter :: nGC_4902 = 1034
  integer, parameter :: nGC_5133 = 1035
  integer, parameter :: nGC_6975 = 1036
  integer, parameter :: nGC_6974 = 1037
  integer, parameter :: nGC_5282 = 1038
  integer, parameter :: nGC_5281 = 1039
  integer, parameter :: nGC_5738 = 1040
  integer, parameter :: nGC_5297 = 1041
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
