!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3139) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_3138) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_3132) = -cima*ee**2d0/sw
    coupl(nGC_3137) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_3136) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3049) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_3048) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_3135) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3182) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3183) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3186) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_3134) = ee**2d0/sw
    coupl(nGC_GG) = cima*dt/vev
    coupl(nGC_3112) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3504) = -cima*dyb_QED1
    coupl(nGC_3500) = -cima*dys_QED1_QCD2
    coupl(nGC_3501) = -cima*dys_QED1
    coupl(nGC_3462) = coupl(nGC_3134)*dZee + coupl(nGC_3135)*dsw_
    coupl(nGC_3166) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3187) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3184) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_3185) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3163) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3164) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3165) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3160) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3161) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3162) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3168) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3169) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_5279) = coupl(nGC_29)*dZZA
    coupl(nGC_3487) = coupl(nGC_3163)*dZee + coupl(nGC_3164)*dsw_ + coupl(     &
                      nGC_3165)*dcw_
    coupl(nGC_3450) = coupl(nGC_3136)*dsw_ + coupl(nGC_3137)*dMW2 + coupl(     &
                      nGC_3138)*dZee
    coupl(nGC_3100) = -cima*ee**2d0/cw
    coupl(nGC_3131) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3455) = coupl(nGC_3182)*dZee + coupl(nGC_3183)*dsw_ + coupl(     &
                      nGC_3184)*dMZ2 + coupl(nGC_3185)*dcw_
    coupl(nGC_3130) = -ee**2d0/sw
    coupl(nGC_3129) = -cima*ee/sw
    coupl(nGC_3054) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_3055) = -cima*ee**2d0*vev/sw
    coupl(nGC_3051) = -cima*ee**2d0*vev/cw
    coupl(nGC_3052) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_5177) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_3180) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_5720) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_5345) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_4943) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_3573) = -cima*dMS_QCD2
    coupl(nGC_3572) = -cima*dMS_QED2
    coupl(nGC_3576) = cima*dMW2
    coupl(nGC_3575) = cima*dMZ2
    coupl(nGC_3574) = -cima*dMB
    coupl(nGC_3472) = coupl(nGC_3160)*dZee + coupl(nGC_3161)*dsw_ + coupl(     &
                      nGC_3162)*dcw_
    coupl(nGC_5341) = coupl(nGC_2)*dZuL_QED2
    coupl(nGC_3272) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3151) = cima*ee*sw/(3d0*cw)
    coupl(nGC_3150) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_3153) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3152) = cima*ee/(3d0*cw)
    coupl(nGC_3155) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3154) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_7921) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_3401) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 32d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3400) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 32d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_5020) = coupl(nGC_55)*(dZbL + dZbR)/2d0
    coupl(nGC_7922) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_HHHH) = -3d0*cima*dt/vev**3d0
    coupl(nGC_3170) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3494) = cima*dyup_QED1_QCD2
    coupl(nGC_3495) = cima*dyup_QED1
    coupl(nGC_3496) = cima*dyup_QED3
    coupl(nGC_3497) = cima*dyc_QED1_QCD2
    coupl(nGC_3491) = -cima*dydo_QED1_QCD2
    coupl(nGC_3492) = -cima*dydo_QED1
    coupl(nGC_3493) = -cima*dydo_QED3
    coupl(nGC_3498) = cima*dyc_QED1
    coupl(nGC_3499) = cima*dyc_QED3
    coupl(nGC_3070) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_8439) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_4911) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_5427) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5513) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_5426) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_5096) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_3201) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_3)**2d0 - coupl(nGC_354)**2d0 - 4d0*coupl&
                      (nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3203) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3  &
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_354)**2d0 - 2d0*cMW &
                      **2d0*coupl(nGC_396))/(16d0*pi**2d0)
    coupl(nGC_3202) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_354)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_6969) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_6968) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_3416) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(96d0*pi**2d0)
    coupl(nGC_3417) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(48d0*pi**2d0*Nc)
    coupl(nGC_3411) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(24d0*pi**2d0*Nc)
    coupl(nGC_4910) = coupl(nGC_1)*dZdR_QED2
    coupl(nGC_5589) = coupl(nGC_3504) + coupl(nGC_53)*dZbR/2d0 + coupl(nGC_53)*&
                      dZtL/2d0
    coupl(nGC_3332) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3115) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_3114) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_3116) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_3111) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_3110) = -cima*ee**2d0/sw**3d0
    coupl(nGC_3113) = -cima*ee/(2d0*sw)
    coupl(nGC_3444) = coupl(nGC_3111)*dZee + coupl(nGC_3112)*dsw_
    coupl(nGC_3119) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_3118) = cima*ee/(2d0*sw)
    coupl(nGC_3528) = -cima*dytau_QED1
    coupl(nGC_3529) = coupl(nGC_3075)*dye_QED1
    coupl(nGC_3299) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3525) = coupl(nGC_3058)*dyb_QED1
    coupl(nGC_3526) = -cima*dye_QED1
    coupl(nGC_5069) = coupl(nGC_3499) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl(   &
                      nGC_57)*dZsL_QED2/2d0
    coupl(nGC_5143) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5067) = coupl(nGC_3497) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_57)*dZsL_QCD2/2d0
    coupl(nGC_5736) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_5735) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_5734) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_5733) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt/vev**3d0
    coupl(nGC_5632) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_3571) = -cima*dMD_QCD2
    coupl(nGC_3061) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3062) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3069) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_3157) = cima*ee*sw/cw
    coupl(nGC_3527) = -cima*dym_QED1
    coupl(nGC_3133) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3470) = coupl(nGC_3048)*dsw_ + coupl(nGC_3049)*dZee + coupl(     &
                      nGC_3050)*dvev_QEDM1
    coupl(nGC_152) = 1d0/(2d0*cMZ)
    coupl(nGC_8599) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
    coupl(nGC_5499) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5497) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
    coupl(nGC_5394) = coupl(nGC_29)*dZAZ
    coupl(nGC_5250) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_3513) = coupl(nGC_3080)*dys_QED3
    coupl(nGC_HHGG) = -cima*dt/vev**3d0
    coupl(nGC_9638) = -coupl(nGC_3401)
    coupl(nGC_4811) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_3462) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_8601) = coupl(nGC_3574) + coupl(nGC_8599)
    coupl(nGC_3227) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_3560) = -cima*dMH2
    coupl(nGC_3562) = -cima*dME
    coupl(nGC_3563) = -cima*dMM
    coupl(nGC_3564) = -cima*dMTA
    coupl(nGC_3565) = -cima*dMU_QED2
    coupl(nGC_3566) = -cima*dMU_QCD2
    coupl(nGC_3567) = -cima*dMC_QED2
    coupl(nGC_3568) = -cima*dMC_QCD2
    coupl(nGC_3569) = -cima*dMT
    coupl(nGC_3547) = coupl(nGC_3063)*dyc_QED1_QCD2
    coupl(nGC_3159) = -cima*ee*sw/cw**2d0
    coupl(nGC_3392) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3395) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_5108) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_5673) = coupl(nGC_3470) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_5104) = coupl(nGC_2)*dZcR_QED2
    coupl(nGC_5105) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_5107) = coupl(nGC_2)*dZcL_QED2
    coupl(nGC_3248) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3245) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3570) = -cima*dMD_QED2
    coupl(nGC_3418) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(24d0*pi**2d0*Nc**2d0)
    coupl(nGC_3148) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_3149) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3146) = ee/(4d0*cMW*sw)
    coupl(nGC_3147) = cMW*ee/(2d0*sw)
    coupl(nGC_3144) = -cMW*ee/(2d0*sw)
    coupl(nGC_3145) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3142) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3143) = -ee/(4d0*cMW*sw)
    coupl(nGC_3140) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3141) = 2d0*cima*ee**2d0/sw
    coupl(nGC_5477) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_3091) = cima*ee/3d0
    coupl(nGC_3092) = -2d0*cima*ee/3d0
    coupl(nGC_3093) = cima*ee
    coupl(nGC_3094) = -cima*ee
    coupl(nGC_3095) = 2d0*cima*ee**2d0
    coupl(nGC_3096) = -ee**2d0/cw
    coupl(nGC_3097) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3098) = 4d0*cima*ee**2d0
    coupl(nGC_3125) = -cima*cw*ee/sw**2d0
    coupl(nGC_8495) = coupl(nGC_I)*dZH
    coupl(nGC_3222) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMC**2d0 + cMD**2d0 +  &
                      cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3060) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_3220) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_10)**2d0 - 8d0*coupl(    &
                      nGC_11)**2d0)/(192d0*pi**2d0)
    coupl(nGC_3068) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_144) = cima/(2d0*cMW)
    coupl(nGC_3415) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 -  &
                      coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39)**&
                      2d0)/(48d0*pi**2d0*Nc)
    coupl(nGC_4853) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_148) = -cima/(2d0*cMW)
    coupl(nGC_5815) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_5813) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
    coupl(nGC_3358) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3356) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +     &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_53)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3355) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_210 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +    &
                      coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3354) = coupl(nGC_23)*(-coupl(nGC_210)*coupl(nGC_41) - coupl(    &
                      nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) + coupl&
                      (nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3352) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3351) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_354) - coupl(      &
                      nGC_210)*coupl(nGC_39) - coupl(nGC_25)*coupl(nGC_38) +   &
                      coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3350) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_354) + coupl(nGC_2)*coupl(nGC_3) + coupl(      &
                      nGC_210)*coupl(nGC_38) + coupl(nGC_25)*coupl(nGC_39) +   &
                      coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_6026) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3444)
    coupl(nGC_6027) = -2d0*coupl(nGC_6026)
    coupl(nGC_6970) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_6971) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_GGH) = -cima*dt/vev**2d0
    coupl(nGC_5438) = coupl(nGC_38)*dZdL_QED2
    coupl(nGC_4959) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_3329) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3410) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(24d0*pi**2d0)
    coupl(nGC_3102) = ee**2d0/cw
    coupl(nGC_3103) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3107) = cima*ee/(2d0*cMW)
    coupl(nGC_3458) = -cima*dlam_QED2
    coupl(nGC_3459) = coupl(nGC_3046)*dlam_QED2 + coupl(nGC_3047)*dvev_QEDM1
    coupl(nGC_3108) = cMW*cima*ee
    coupl(nGC_3156) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_4929) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_3519) = coupl(nGC_3064)*dydo_QED1_QCD2
    coupl(nGC_3518) = coupl(nGC_3059)*dyb_QED1
    coupl(nGC_3511) = coupl(nGC_3080)*dys_QED1_QCD2
    coupl(nGC_3510) = coupl(nGC_3066)*dydo_QED3
    coupl(nGC_3420) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl(&
                      nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(96d0*pi**2d0*Nc&
                      )
    coupl(nGC_3512) = coupl(nGC_3080)*dys_QED1
    coupl(nGC_3515) = coupl(nGC_3081)*dys_QED1
    coupl(nGC_3514) = coupl(nGC_3081)*dys_QED1_QCD2
    coupl(nGC_3517) = coupl(nGC_3057)*dyb_QED1
    coupl(nGC_3516) = coupl(nGC_3081)*dys_QED3
    coupl(nGC_7927) = coupl(nGC_3567) + coupl(nGC_7921)
    coupl(nGC_6115) = coupl(nGC_3547) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_58)*dZcR_QCD2/2d0
    coupl(nGC_3403) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      48d0*pi**2d0*Nc)
    coupl(nGC_3402) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(48d0&
                      *pi**2d0)
    coupl(nGC_3216) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3214) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3215) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3212) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_3210) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3211) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3194) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3412) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*coupl&
                      (nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(48d0*pi**2d0)
    coupl(nGC_3191) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_23&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_210)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 +   &
                      3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima* &
                      coupl(nGC_354)**2d0 - 4d0*cMW**2d0*coupl(nGC_18) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_210)**2d0 + 3d0*cMZ**2d0*cima*   &
                      coupl(nGC_25)**2d0 - 2d0*cMZ**2d0*coupl(nGC_314))/(32d0* &
                      pi**2d0)
    coupl(nGC_3218) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_3219) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_40)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3109) = cima*ee**2d0/sw**2d0
    coupl(nGC_8600) = coupl(nGC_MI)*dZbR
    coupl(nGC_3177) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3176) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_3175) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_3174) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3173) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3172) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3171) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
