!******************************************************************************!
!                                                                              !
!    ctparameter34.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter34.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter34
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter34()
  if (dMU_QED2_scheme .eq. 0) then
    dMU_QED2 = (2d0*Ten29*cMU*coupl(nGC_2)**2d0 + Ten30*cMU*(-2d0*coupl(nGC_35 &
               )**2d0 + 8d0*coupl(nGC_35)*coupl(nGC_39) - 2d0*coupl(nGC_39)**  &
               2d0 - coupl(nGC_86)**2d0 - 2d0*coupl(nGC_86)*coupl(nGC_88) -    &
               coupl(nGC_88)**2d0)/2d0 + Ten31*(-cMD*coupl(nGC_61)*coupl(nGC_85&
               ) - cMU*coupl(nGC_23)**2d0 - cMU*coupl(nGC_61)**2d0/2d0 - cMU*  &
               coupl(nGC_85)**2d0/2d0) + Ten32*cMU*coupl(nGC_87)**2d0 - 2d0*   &
               Ten33*cMU*coupl(nGC_2)**2d0 + Ten34*cMU*(-coupl(nGC_35)**2d0 -  &
               coupl(nGC_39)**2d0 - coupl(nGC_86)*coupl(nGC_88)) + Ten35*cMU*(-&
               2d0*coupl(nGC_23)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_85)**2d0&
               )/2d0 - Ten36*cMU*coupl(nGC_87)**2d0 + pi**2d0*(-cMU*coupl(nGC_2&
               )**2d0/pi**2d0 + cMU*coupl(nGC_23)**2d0/(2d0*pi**2d0) + cMU*    &
               coupl(nGC_35)**2d0/(2d0*pi**2d0) - 2d0*cMU*coupl(nGC_35)*coupl( &
               nGC_39)/pi**2d0 + cMU*coupl(nGC_39)**2d0/(2d0*pi**2d0)))/(16d0* &
               pi**2d0)
    dMU_QED2 = cone*real(dMU_QED2,kind=dp)
  end if 
end subroutine set_ctparameter34
end module ctparameter34
