!******************************************************************************!
!                                                                              !
!    ctparameter6.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter6.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter6
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter6()
  dZg_QCD2 = (5d0*Nc*Ten0*coupl(nGC_10)**2d0/3d0 + 4d0*Ten17*cMU_reg**2d0*coupl&
             (nGC_11)**2d0 + 4d0*Ten18*cMC_reg**2d0*coupl(nGC_11)**2d0 + 4d0*  &
             Ten19*cMD_reg**2d0*coupl(nGC_11)**2d0 + 4d0*Ten20*cMS_reg**2d0*   &
             coupl(nGC_11)**2d0 - 8d0*Ten21*coupl(nGC_11)**2d0 - 8d0*Ten22*    &
             coupl(nGC_11)**2d0 - 8d0*Ten23*coupl(nGC_11)**2d0 - 8d0*Ten24*    &
             coupl(nGC_11)**2d0 - 2d0*Ten25*coupl(nGC_11)**2d0/3d0 - 2d0*Ten26*&
             coupl(nGC_11)**2d0/3d0 - 2d0*Ten27*coupl(nGC_11)**2d0/3d0 - 2d0*  &
             Ten28*coupl(nGC_11)**2d0/3d0)/(16d0*pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter6
end module ctparameter6
