!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  if (dMS_QED2_scheme .eq. 0) then
    dMS_QED2 = (2d0*Ten101*cMS*coupl(nGC_1)**2d0 + Ten102*cMS*(-2d0*coupl(     &
               nGC_34)**2d0 + 8d0*coupl(nGC_34)*coupl(nGC_38) - 2d0*coupl(     &
               nGC_38)**2d0 - coupl(nGC_74)**2d0 - 2d0*coupl(nGC_74)*coupl(    &
               nGC_76) - coupl(nGC_76)**2d0)/2d0 + Ten103*(-cMC*coupl(nGC_57)* &
               coupl(nGC_73) - cMS*coupl(nGC_23)**2d0 - cMS*coupl(nGC_57)**2d0/&
               2d0 - cMS*coupl(nGC_73)**2d0/2d0) + Ten104*cMS*coupl(nGC_75)**  &
               2d0 - 2d0*Ten105*cMS*coupl(nGC_1)**2d0 + Ten106*cMS*(-coupl(    &
               nGC_34)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_74)*coupl(nGC_76  &
               )) + Ten107*cMS*(-2d0*coupl(nGC_23)**2d0 - coupl(nGC_57)**2d0 - &
               coupl(nGC_73)**2d0)/2d0 - Ten108*cMS*coupl(nGC_75)**2d0 + pi**  &
               2d0*(-cMS*coupl(nGC_1)**2d0/pi**2d0 + cMS*coupl(nGC_23)**2d0/(  &
               2d0*pi**2d0) + cMS*coupl(nGC_34)**2d0/(2d0*pi**2d0) - 2d0*cMS*  &
               coupl(nGC_34)*coupl(nGC_38)/pi**2d0 + cMS*coupl(nGC_38)**2d0/(  &
               2d0*pi**2d0)))/(16d0*pi**2d0)
    dMS_QED2 = cone*real(dMS_QED2,kind=dp)
  end if 
end subroutine set_ctparameter69
end module ctparameter69
